> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteTimeTrackingPolicy

> The `deleteTimeTrackingPolicy` API is used when timetracking is no longer needed for a company, or when it makes sense to start over at the policy level

### What it does:
- Deletes the company's time tracking policy
- Deactivates all open timecards and active assignments
- Preserves time card history for deleted policies

### Note:
- This is a permenant deletion. You may be able to achieve a similar result by updating assignments and updating the policy
- A new time tracking policy can be added after the delete with the `addTimeTrackingPolicy` API



## OpenAPI

````yaml delete /adminPortal/deleteTimeTrackingPolicy
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: TimeOff Admin
  - name: TimeTracking Admin
  - name: TimeOff User
  - name: TimeTracking User
  - name: TimeTracking Reports
  - name: TimeOff Reports
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /adminPortal/deleteTimeTrackingPolicy:
    delete:
      tags:
        - TimeTracking Admin
      summary: deleteTimeTrackingPolicy
      description: >-
        The `deleteTimeTrackingPolicy` API is used when timetracking is no
        longer needed for a company, or when it makes sense to start over at the
        policy level


        ### What it does:

        - Deletes the company's time tracking policy

        - Deactivates all open timecards and active assignments

        - Preserves time card history for deleted policies


        ### Note:

        - This is a permenant deletion. You may be able to achieve a similar
        result by updating assignments and updating the policy

        - A new time tracking policy can be added after the delete with the
        `addTimeTrackingPolicy` API
      operationId: deleteTimeTrackingPolicy
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                timeTrackingPolicyId:
                  type: string
              required:
                - method
                - companyId
                - timeTrackingPolicyId
            example:
              method: deleteTimeTrackingPolicy
              companyId: 5221FFCF-E84B-4690-B7DC-DE29D549096B
              timeTrackingPolicyId: 1DB2594A-7CC6-4310-B5F9-830604C66F6F
      responses:
        '200':
          description: Policy deactivated
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeTrackingPolicy:
                    type: object
                    properties:
                      success:
                        type: boolean
                      message:
                        type: string
                    required:
                      - success
                      - message
                required:
                  - timeTrackingPolicy
              example:
                timeTrackingPolicy:
                  success: true
                  message: Time tracking policy deactivated successfully.
          headers: {}
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 404
                  message: Invalid time tracking policy ID.
          headers: {}
      deprecated: false
      security: []

````